Bug 1662187 - crash with truecrypt
Summary: crash with truecrypt
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 32
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Vojtech Trefny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-26 21:11 UTC by customercare
Modified: 2020-02-11 15:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description customercare 2018-12-26 21:11:29 UTC
Version: blivet-gui-2.1.9-1.fc28.noarch

first run, instant crash on scan:

$ blivet-gui
Traceback (most recent call last):
  File "/usr/bin/blivet-gui", line 115, in <module>
    main()
  File "/usr/bin/blivet-gui", line 109, in main
    BlivetGUI(client)
  File "/usr/lib/python3.6/site-packages/blivetgui/blivetgui.py", line 105, in __init__
    self.blivet_init()
  File "/usr/lib/python3.6/site-packages/blivetgui/blivetgui.py", line 742, in blivet_init
    self._reraise_exception(ret.exception, ret.traceback)
  File "/usr/lib/python3.6/site-packages/blivetgui/blivetgui.py", line 232, in _reraise_exception
    raise type(exception)(str(exception) + "\n" + traceback)
blivet.errors.DeviceTreeError: failed to add slave truecrypt3_0 of device truecrypt3
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/blivetgui/communication/server.py", line 262, in _blivet_utils_init
    self.blivet_utils = BlivetUtils(*args)
  File "/usr/lib/python3.6/site-packages/blivetgui/blivet_utils.py", line 196, in __init__
    self.blivet_reset()
  File "/usr/lib/python3.6/site-packages/blivetgui/blivet_utils.py", line 1361, in blivet_reset
    self.storage.reset()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 161, in reset
    self.devicetree.populate(cleanup_only=cleanup_only)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 412, in populate
    self._populate()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 462, in _populate
    self.handle_device(dev)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 263, in handle_device
    device = helper_class(self, info).run()
  File "/usr/lib/python3.6/site-packages/blivet/populator/helpers/dm.py", line 49, in run
    slave_devices = self._devicetree._add_slave_devices(self.data)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 135, in _add_slave_devices
    raise DeviceTreeError(msg)
blivet.errors.DeviceTreeError: failed to add slave truecrypt3_0 of device truecrypt3


(blivet-gui:1169): Gtk-CRITICAL **: 22:04:10.652: gtk_main_quit: assertion 'main_loops != NULL' failed

Comment 1 Vojtech Trefny 2019-01-23 06:59:48 UTC
Changing component to python-blivet. Blivet unfortunately currently doesn't support truecrypt/veracrypt. I'll try to add at least some basic support so it doesn't crash.

Comment 2 Ben Cotton 2019-05-02 19:58:45 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-10-31 18:49:13 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-02-11 15:46:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.